# $Revision: 1.46 $, $Date: 2009/10/15 18:25:34 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Statistics
%define		pnam	ROC
Summary:	Statistics::ROC - receiver-operator-characteristic (ROC) curves with nonparametric confidence bounds
Summary(pl.UTF-8):	Statistics::ROC - krzywe ROC z nieparametrycznymi przedziałami ufności
Name:		perl-Statistics-ROC
Version:	0.04
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	92f9036e1dec5c41a9ccd008e484b1fc
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-GIFgraph
BuildRequires:	perl-Tk
BuildRequires:	perl-Tk-FileDialog
BuildRequires:	perl-Tk-WaitBox
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This program determines the ROC curve and its nonparametric confidence
bounds for data categorized into two groups.  A ROC curve shows the
relationship of probability of false alarm (x-axis) to probability of
detection (y-axis) for a certain test.  Expressed in medical terms:
the probability of a positive test, given no disease to the
probability of a positive test, given disease.  The ROC curve may be
used to determine an optimal cutoff point for the test.

%description -l pl.UTF-8
Ten program określa krzywą ROC i jej nieparametryczne przedziały
ufności dla danych podzielonych na dwie grupy. Krzywa ROC pokazuje
zależność prawdopodobieństwa fałszywego alarmu (oś x) od
prawdopodobieństwa wykrycia (oś y) dla konkretnego testu (w
terminologii medycznej: prawdopodobieństwo pozytywnego testu przy
braku choroby od prawdopodobieństwa pozytywnego testu przy chorobie).
Krzywa ROC może być używana do określenia optymalnego punktu
granicznego dla testu.

%prep
%setup -q -n %{pdir}-%{pnam}-0.01

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Statistics/ROC.pm
%{perl_vendorlib}/Statistics/roc_ui.pl
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Statistics-ROC.spec,v $
Revision 1.46  2009/10/15 18:25:34  amateja
- updated to 0.04

Revision 1.45  2007/02/13 07:47:14  glen
- tabs in preamble

Revision 1.44  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.43  2004/11/03 22:30:44  paladine
- formatting

Revision 1.42  2004/06/05 18:10:47  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.41  2004/05/07 01:04:50  ankry
- rel. 12

Revision 1.40  2004/05/06 18:21:06  ankry
- fixed perl-devel BR

Revision 1.39  2004/05/02 05:34:24  ankry
- license fix, cosmetics

Revision 1.38  2004/04/27 15:26:27  ankry
- new bconds

Revision 1.37  2004/04/15 20:44:31  ankry
- license and other cosmetics

Revision 1.36  2003/09/09 10:24:48  ankry
- spaces -> tab

Revision 1.35  2003/08/18 08:09:14  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.34  2003/05/28 13:01:03  malekith
- massive attack: source-md5

Revision 1.33  2003/05/25 06:24:59  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.31  2003/03/01 20:46:36  radek
- should be ready for perl-5.8.0; release++

Revision 1.30  2003/02/25 00:41:48  radek
- use the __perl macro

Revision 1.29  2003/02/18 15:38:21  ankry
- massive attack: change CPAN URLs

Revision 1.28  2002/08/15 17:51:58  qboosh
- pl description, release++

Revision 1.27  2002/08/11 19:36:49  radek
- release up

Revision 1.26  2002/08/11 19:32:51  radek
- (automatic) provided informative description

Revision 1.25  2002/08/11 13:53:40  radek
- conditional tests

Revision 1.24  2002/07/27 20:57:34  kloczek
- release 8.

Revision 1.23  2002/07/22 21:41:52  ankry
- translations, cleaning

Revision 1.22  2002/07/21 19:09:51  marcus
- rel.7., use new %%doC-

Revision 1.21  2002/07/10 08:48:44  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:12  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 10:34:23  depesz
cleanup; revision++

Revision 1.18  2002/02/22 23:29:32  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 14:20:02  depesz
automatic: Source location unified, Relase Up

Revision 1.16  2002/02/10 15:34:48  depesz
adapterized

Revision 1.15  2002/01/18 02:14:30  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/11/28 15:20:23  mis
- buildarch noarch; release++

Revision 1.13  2001/04/17 23:56:31  baggins
- removed obsoleted patch
- fixed build dir

Revision 1.12  2001/04/17 12:15:44  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:10  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/01/23 20:51:17  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.9  2000/09/05 00:59:28  kloczek
- updated to 0.02.

Revision 1.8  2000/06/09 07:54:58  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:28  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:59  baggins
- translated kloczkish into english

Revision 1.3  1999/11/13 20:48:39  pius
- added more BuildRequires rules

Revision 1.2  1999/11/07 09:18:46  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:47  pius
- initial release
